Comment ratings show up twice

Bug #1675213 reported by Kristina Hoeppner on 2017-03-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Unassigned

Bug Description

Mahara 17.04 latest master 17.04dev (2017031600)

Comment ratings show up twice after saving the first comment. To replicate:

1. Enable comment ratings /admin/extensions/pluginconfig.php?plugintype=artefact&pluginname=comment&type=comment
2. Add a comment to a page (doesn't matter whether it's somebody else's or your own)
3. Look at the comment field again -> ratings show up twice (see screenshot)

Changed in mahara:
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/7559
Committed: https://git.mahara.org/mahara/mahara/commit/b7f12893058cf40ce6a96aef547b54f4441020c4
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit b7f12893058cf40ce6a96aef547b54f4441020c4
Author: Robert Lyon <email address hidden>
Date: Thu Mar 23 14:02:28 2017 +1300

Bug 1675213: Stop jquery firing twice causing doubleup of icons

Can be triggered via ajax return

Also renamed the container so stop confusion with
*_container and *-container ids
behatnotneeded

Change-Id: Ib7df08847556212384a48641b69014ef458a80e0
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2017-03-31
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7656
Committed: https://git.mahara.org/mahara/mahara/commit/3c640c9efbe47df34f243b713b8dca2bc51bf1c9
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 3c640c9efbe47df34f243b713b8dca2bc51bf1c9
Author: Robert Lyon <email address hidden>
Date: Thu Apr 20 07:17:36 2017 +1200

Bug 1684267: Adding new templates to the raw_old theme

As well as adding some changes to raw_old that make sense to be there
from these bugs:
Bug 1681588
Bug 1451263
Bug 1675213
Bug 1674801
Bug 1661125
Bug 1658389

behatnotneeded

Change-Id: I62042f1279ca96ac17c8e2fef11f60ecbcaf04c6
Signed-off-by: Robert Lyon <email address hidden>

Reviewed: https://reviews.mahara.org/7673
Committed: https://git.mahara.org/mahara/mahara/commit/f7be63ab0a7cdf0b356de14952ee06cb11bb00f2
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.04_STABLE

commit f7be63ab0a7cdf0b356de14952ee06cb11bb00f2
Author: Robert Lyon <email address hidden>
Date: Thu Apr 20 07:17:36 2017 +1200

Bug 1684267: Adding new templates to the raw_old theme

As well as adding some changes to raw_old that make sense to be there
from these bugs:
Bug 1681588
Bug 1451263
Bug 1675213
Bug 1674801
Bug 1661125
Bug 1658389

behatnotneeded

Change-Id: I62042f1279ca96ac17c8e2fef11f60ecbcaf04c6
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 3c640c9efbe47df34f243b713b8dca2bc51bf1c9)

Robert Lyon (robertl-9) on 2017-04-27
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments